> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/media/advanced-filter.md).

# Advanced filter

Add rules to condition the search result.

#### View advanced filter query

View the defined advanced filter queries.

#### Refresh result

1. Click the "Refresh result"-text in the top right of the Rule set.

#### Move query into a new rule set

1. Click the icon in the top right of a Rule set.

#### Add rule to rule set

1. Click the "Add rule"-button at the center of the rule set.

{% hint style="info" %}
If there already is defined a rule then you will need to click the "+"-button either in the rule or the rule set.
{% endhint %}

#### Remove rule

1. Click the "x"-icon on a rule to remove it.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/media/advanced-filter.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
